# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to patch the test suite unless we have Test::More ≥ 0.96
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.96) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Devel-CheckCompiler
Version:	0.07
Release:	1.%{__distinit}%{__distvers}
Summary:	Check the compiler's availability
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Devel-CheckCompiler/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SY/SYOHEX/Devel-CheckCompiler-%{version}.tar.gz
Patch0:		Devel-CheckCompiler-0.05-old-Test::More.patch
Patch1:		Devel-CheckCompiler-0.07-old-mbt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Module::Build::Tiny) >= 0.030
# Module Runtime
BuildRequires:	perl(Config)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(parent)
BuildRequires:	perl(strict)
BuildRequires:	perl(utf8)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(File::Temp)

%description
Devel::CheckCompiler is checker for compiler's availability.

%prep
%setup -q -n Devel-CheckCompiler-%{version}

# We need to patch the test suite unless we have Test::More ≥ 0.96
%if %{old_test_more}
%patch0
%endif

# Don't really need Module::Build::Tiny ≥ 0.035
%patch1

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.md
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::AssertC99.3*
%{_mandir}/man3/Devel::CheckCompiler.3*

%changelog
* Sat Nov 19 2016 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Correct test dependency
- Add patch to support building with Module::Build::Tiny < 0.035

* Wed Aug 17 2016 Paul Howarth <paul@city-fan.org> - 0.06-3
- BR: perl-generators where available

* Tue Jun 30 2015 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06
  - More strict C99 check code
  - Fix for older GCC(< 5.0)

* Sat Oct  4 2014 Paul Howarth <paul@city-fan.org> - 0.05-1
- Initial RPM version
